# $Revision: 1.12 $, $Date: 2012/04/16 12:42:05 $
Summary:	Open Source graphics base set for OpenTTD
Summary(pl.UTF-8):	Otwarty zestaw grafiki dla OpenTTD
Name:		openttd-opengfx
Version:	0.4.4
Release:	1
License:	GPL v2+
Group:		Applications/Games
Source0:	http://bundles.openttdcoop.org/opengfx/releases/%{version}/opengfx-%{version}-source.tar.xz
# Source0-md5:	b6024a7d697b9589fe652da67b36e656
Patch0:		%{name}-docs.patch
URL:		http://wiki.openttd.org/Graphics_Replacement
BuildRequires:	grfcodec >= 5.0.0
BuildRequires:	nml >= 0.2.3
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildConflicts:	gimp
Requires:	openttd-data
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenGFX is an open source graphics base set for OpenTTD which can
completely replace the TTD base set. The main goal of OpenGFX
therefore is to provide a set of free base graphics which make it
possible to play OpenTTD without requiring the (copyrighted) files
from the TTD CD.

%description -l pl.UTF-8
OpenGFX to otwarty zestaw grafiki dla gry OpenTTD, który całkowicie
zastępuje zestaw podstawowy TTD. Głównym celem OpenGFX jest
dostarczenie darmowej grafiki, która umożliwii grę w OpenTTD bez
konieczności posiadania oryginalnych plików z gry TTD, strzeżonych
prawami autorskimi.

%prep
%setup -q -n opengfx-%{version}-source
%patch0 -p1
%{__sed} -i 's,$(INSTALL_DIR),$(DESTDIR)$(INSTALL_DIR),' scripts/Makefile.bundles

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_DIR="%{_datadir}/openttd/data" \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/{changelog.txt,readme.txt}
%{_datadir}/openttd/data

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openttd-opengfx.spec,v $
Revision 1.12  2012/04/16 12:42:05  megabajt
- updated to 0.4.4

Revision 1.11  2011/12/31 16:55:04  adamg
- updated to 0.4.1
- BuildRequires: nml
- BuildConflicts: gimp

Revision 1.10  2011/06/09 09:29:27  lisu
- updated to 0.3.4

Revision 1.9  2011/04/21 11:51:28  lisu
- updated to 0.3.3

Revision 1.8  2011/01/03 13:54:20  lisu
- updated to 0.3.2
- drop obsoleted nforenum BR
- minimal version of grfcodec is 5.0.0

Revision 1.7  2010/09/20 12:12:03  lisu
- up to 0.3.1

Revision 1.6  2010/09/14 10:37:49  lisu
- updated to 0.3.0
- do not try to install docs in game's datadir (patch)

Revision 1.5  2010/05/01 18:01:30  sparky
- updated grfcodec and nforenum version

Revision 1.4  2010/04/30 07:31:10  lisu
- updated to 0.2.4

Revision 1.3  2010/04/23 13:49:27  lisu
- kill useless Obsoletes

Revision 1.2  2010/04/23 12:18:45  lisu
- name changed to openttd-opengfx
- kill BR: openttd-data (R is enough)

Revision 1.1  2010/04/23 11:24:22  lisu
- added to PLD
